Index: uspace/lib/c/generic/vfs/canonify.c
===================================================================
--- uspace/lib/c/generic/vfs/canonify.c	(revision 1b20da07baaa3e3c424f62c927274e676e4295cd)
+++ uspace/lib/c/generic/vfs/canonify.c	(revision a35b458e9db1ca95e679799dc7c1b12c83359ca3)
@@ -329,5 +329,5 @@
 		t = next_token(&t);
 	}
-	
+
 	switch (state) {
 	case S_RESTART:
Index: uspace/lib/c/generic/vfs/inbox.c
===================================================================
--- uspace/lib/c/generic/vfs/inbox.c	(revision 1b20da07baaa3e3c424f62c927274e676e4295cd)
+++ uspace/lib/c/generic/vfs/inbox.c	(revision a35b458e9db1ca95e679799dc7c1b12c83359ca3)
@@ -79,5 +79,5 @@
 {
 	inbox_entry *next = NULL;
-	
+
 	list_foreach(inb_list, link, inbox_entry, e) {
 		int cmp = str_cmp(e->name, name);
Index: uspace/lib/c/generic/vfs/mtab.c
===================================================================
--- uspace/lib/c/generic/vfs/mtab.c	(revision 1b20da07baaa3e3c424f62c927274e676e4295cd)
+++ uspace/lib/c/generic/vfs/mtab.c	(revision a35b458e9db1ca95e679799dc7c1b12c83359ca3)
@@ -59,5 +59,5 @@
 	else
 		str_cpy(ent->fs_name, sizeof(ent->fs_name), "?");
-	
+
 	list_append(&ent->link, mtab_list);
 }
Index: uspace/lib/c/generic/vfs/vfs.c
===================================================================
--- uspace/lib/c/generic/vfs/vfs.c	(revision 1b20da07baaa3e3c424f62c927274e676e4295cd)
+++ uspace/lib/c/generic/vfs/vfs.c	(revision a35b458e9db1ca95e679799dc7c1b12c83359ca3)
@@ -264,13 +264,13 @@
 {
 	fibril_mutex_lock(&cwd_mutex);
-	
+
 	if ((cwd_size == 0) || (size < cwd_size + 1)) {
 		fibril_mutex_unlock(&cwd_mutex);
 		return ERANGE;
 	}
-	
+
 	str_cpy(buf, size, cwd_path);
 	fibril_mutex_unlock(&cwd_mutex);
-	
+
 	return EOK;
 }
@@ -288,5 +288,5 @@
 	if (!abs)
 		return ENOMEM;
-	
+
 	int fd;
 	errno_t rc = vfs_lookup(abs, WALK_DIRECTORY, &fd);
@@ -295,17 +295,17 @@
 		return rc;
 	}
-	
+
 	fibril_mutex_lock(&cwd_mutex);
-	
+
 	if (cwd_fd >= 0)
 		vfs_put(cwd_fd);
-	
+
 	if (cwd_path)
 		free(cwd_path);
-	
+
 	cwd_fd = fd;
 	cwd_path = abs;
 	cwd_size = abs_size;
-	
+
 	fibril_mutex_unlock(&cwd_mutex);
 	return EOK;
@@ -319,12 +319,12 @@
 {
 	fibril_mutex_lock(&vfs_mutex);
-	
+
 	while (vfs_sess == NULL) {
 		vfs_sess = service_connect_blocking(SERVICE_VFS, INTERFACE_VFS,
 		    0);
 	}
-	
+
 	fibril_mutex_unlock(&vfs_mutex);
-	
+
 	return async_exchange_begin(vfs_sess);
 }
@@ -356,8 +356,8 @@
 	if (rc != EOK)
 		return NULL;
-	
+
 	if (stat.service == 0)
 		return NULL;
-	
+
 	return loc_service_connect(stat.service, iface, 0);
 }
@@ -376,22 +376,22 @@
 {
 	errno_t rc;
-	
+
 	ipc_call_t answer;
 	async_exch_t *exch = vfs_exchange_begin();
 	aid_t req = async_send_1(exch, VFS_IN_FSPROBE, serv, &answer);
-	
+
 	rc = async_data_write_start(exch, (void *) fs_name,
 	    str_size(fs_name));
-	
+
 	async_wait_for(req, &rc);
-	
+
 	if (rc != EOK) {
 		vfs_exchange_end(exch);
 		return rc;
 	}
-	
+
 	rc = async_data_read_start(exch, info, sizeof(*info));
 	vfs_exchange_end(exch);
-	
+
 	return rc;
 }
@@ -620,10 +620,10 @@
 {
 	errno_t rc, rc1;
-	
+
 	if (!mountedfd)
 		flags |= VFS_MOUNT_NO_REF;
 	if (mp < 0)
 		flags |= VFS_MOUNT_CONNECT_ONLY;
-	
+
 	ipc_call_t answer;
 	async_exch_t *exch = vfs_exchange_begin();
@@ -643,5 +643,5 @@
 	if (mountedfd)
 		*mountedfd = (int) IPC_GET_ARG1(answer);
-	
+
 	if (rc != EOK)
 		return rc;
@@ -665,5 +665,5 @@
 	int null_id = -1;
 	char null[LOC_NAME_MAXLEN];
-	
+
 	if (str_cmp(fqsn, "") == 0) {
 		/*
@@ -671,17 +671,17 @@
 		*/
 		null_id = loc_null_create();
-		
+
 		if (null_id == -1)
 			return ENOMEM;
-		
+
 		snprintf(null, LOC_NAME_MAXLEN, "null/%d", null_id);
 		fqsn = null;
 	}
-	
+
 	if (flags & IPC_FLAG_BLOCKING)
 		flags = VFS_MOUNT_BLOCKING;
 	else
 		flags = 0;
-	
+
 	service_id_t service_id;
 	errno_t res = loc_service_get_id(fqsn, &service_id, flags);
@@ -689,8 +689,8 @@
 		if (null_id != -1)
 			loc_null_destroy(null_id);
-		
+
 		return res;
 	}
-	
+
 	size_t mpa_size;
 	char *mpa = vfs_absolutize(mp, &mpa_size);
@@ -698,15 +698,15 @@
 		if (null_id != -1)
 			loc_null_destroy(null_id);
-		
+
 		return ENOMEM;
 	}
-	
+
 	fibril_mutex_lock(&root_mutex);
-	
+
 	errno_t rc;
-	
+
 	if (str_cmp(mpa, "/") == 0) {
 		/* Mounting root. */
-		
+
 		if (root_fd >= 0) {
 			fibril_mutex_unlock(&root_mutex);
@@ -715,5 +715,5 @@
 			return EBUSY;
 		}
-		
+
 		int root;
 		rc = vfs_mount(-1, fs_name, service_id, opts, flags, instance,
@@ -728,5 +728,5 @@
 			return EINVAL;
 		}
-		
+
 		int mpfd;
 		rc = vfs_walk(root_fd, mpa, WALK_DIRECTORY, &mpfd);
@@ -737,10 +737,10 @@
 		}
 	}
-	
+
 	fibril_mutex_unlock(&root_mutex);
-	
+
 	if ((rc != EOK) && (null_id != -1))
 		loc_null_destroy(null_id);
-	
+
 	return (errno_t) rc;
 }
@@ -759,5 +759,5 @@
 	errno_t rc = async_req_2_0(exch, VFS_IN_OPEN, file, mode);
 	vfs_exchange_end(exch);
-	
+
 	return rc;
 }
@@ -788,5 +788,5 @@
 	errno_t rc = async_req_1_0(exch, VFS_IN_PUT, file);
 	vfs_exchange_end(exch);
-	
+
 	return rc;
 }
@@ -845,5 +845,5 @@
 	uint8_t *bp = (uint8_t *) buf;
 	errno_t rc;
-	
+
 	do {
 		bp += cnt;
@@ -852,10 +852,10 @@
 		rc = vfs_read_short(file, *pos, bp, nbyte - nr, &cnt);
 	} while (rc == EOK && cnt > 0 && (nbyte - nr - cnt) > 0);
-	
+
 	if (rc != EOK) {
 		*nread = nr;
 		return rc;
 	}
-	
+
 	nr += cnt;
 	*pos += cnt;
@@ -885,10 +885,10 @@
 	ipc_call_t answer;
 	aid_t req;
-	
+
 	if (nbyte > DATA_XFER_LIMIT)
 		nbyte = DATA_XFER_LIMIT;
-	
-	async_exch_t *exch = vfs_exchange_begin();
-	
+
+	async_exch_t *exch = vfs_exchange_begin();
+
 	req = async_send_3(exch, VFS_IN_READ, file, LOWER32(pos),
 	    UPPER32(pos), &answer);
@@ -896,13 +896,13 @@
 
 	vfs_exchange_end(exch);
-	
+
 	if (rc == EOK)
 		async_wait_for(req, &rc);
 	else
 		async_forget(req);
-	
+
 	if (rc != EOK)
 		return rc;
-	
+
 	*nread = (ssize_t) IPC_GET_ARG1(answer);
 	return EOK;
@@ -926,5 +926,5 @@
 	errno_t rc_orig;
 	aid_t req;
-	
+
 	size_t olda_size;
 	char *olda = vfs_absolutize(old, &olda_size);
@@ -938,5 +938,5 @@
 		return ENOMEM;
 	}
-	
+
 	async_exch_t *exch = vfs_exchange_begin();
 	int root = vfs_root();
@@ -946,5 +946,5 @@
 		return ENOENT;
 	}
-	
+
 	req = async_send_1(exch, VFS_IN_RENAME, root, NULL);
 	rc = async_data_write_start(exch, olda, olda_size);
@@ -994,5 +994,5 @@
 	    UPPER32(length));
 	vfs_exchange_end(exch);
-	
+
 	return rc;
 }
@@ -1056,24 +1056,24 @@
 	errno_t rc;
 	aid_t req;
-	
-	async_exch_t *exch = vfs_exchange_begin();
-	
+
+	async_exch_t *exch = vfs_exchange_begin();
+
 	req = async_send_1(exch, VFS_IN_STAT, file, NULL);
 	rc = async_data_read_start(exch, (void *) stat, sizeof(vfs_stat_t));
 	if (rc != EOK) {
 		vfs_exchange_end(exch);
-		
+
 		errno_t rc_orig;
 		async_wait_for(req, &rc_orig);
-		
+
 		if (rc_orig != EOK)
 			rc = rc_orig;
-		
-		return rc;
-	}
-	
+
+		return rc;
+	}
+
 	vfs_exchange_end(exch);
 	async_wait_for(req, &rc);
-	
+
 	return rc;
 }
@@ -1092,5 +1092,5 @@
 	if (rc != EOK)
 		return rc;
-	
+
 	rc = vfs_stat(file, stat);
 
@@ -1138,5 +1138,5 @@
 	if (rc != EOK)
 		return rc;
-	
+
 	rc = vfs_statfs(file, st);
 
@@ -1157,5 +1157,5 @@
 	errno_t rc = async_req_1_0(exch, VFS_IN_SYNC, file);
 	vfs_exchange_end(exch);
-	
+
 	return rc;
 }
@@ -1178,15 +1178,15 @@
 	errno_t rc;
 	aid_t req;
-	
-	async_exch_t *exch = vfs_exchange_begin();
-	
+
+	async_exch_t *exch = vfs_exchange_begin();
+
 	req = async_send_2(exch, VFS_IN_UNLINK, parent, expect, NULL);
 	rc = async_data_write_start(exch, child, str_size(child));
-	
-	vfs_exchange_end(exch);
-	
+
+	vfs_exchange_end(exch);
+
 	errno_t rc_orig;
 	async_wait_for(req, &rc_orig);
-	
+
 	if (rc_orig != EOK)
 		return (errno_t) rc_orig;
@@ -1219,5 +1219,5 @@
 
 	rc = vfs_unlink(parent, child, expect);
-	
+
 	free(child);
 	vfs_put(parent);
@@ -1252,5 +1252,5 @@
 	if (rc != EOK)
 		return rc;
-	
+
 	rc = vfs_unmount(mp);
 	vfs_put(mp);
@@ -1270,10 +1270,10 @@
 {
 	async_exch_t *exch = vfs_exchange_begin();
-	
+
 	ipc_call_t answer;
 	aid_t req = async_send_2(exch, VFS_IN_WALK, parent, flags, &answer);
 	errno_t rc = async_data_write_start(exch, path, str_size(path));
 	vfs_exchange_end(exch);
-		
+
 	errno_t rc_orig;
 	async_wait_for(req, &rc_orig);
@@ -1281,8 +1281,8 @@
 	if (rc_orig != EOK)
 		return (errno_t) rc_orig;
-		
+
 	if (rc != EOK)
 		return (errno_t) rc;
-	
+
 	*handle = (int) IPC_GET_ARG1(answer);
 	return EOK;
@@ -1349,16 +1349,16 @@
 	ipc_call_t answer;
 	aid_t req;
-	
+
 	if (nbyte > DATA_XFER_LIMIT)
 		nbyte = DATA_XFER_LIMIT;
-	
-	async_exch_t *exch = vfs_exchange_begin();
-	
+
+	async_exch_t *exch = vfs_exchange_begin();
+
 	req = async_send_3(exch, VFS_IN_WRITE, file, LOWER32(pos),
 	    UPPER32(pos), &answer);
 	rc = async_data_write_start(exch, (void *) buf, nbyte);
-	
-	vfs_exchange_end(exch);
-	
+
+	vfs_exchange_end(exch);
+
 	if (rc == EOK)
 		async_wait_for(req, &rc);
@@ -1368,5 +1368,5 @@
 	if (rc != EOK)
 		return rc;
-	
+
 	*nwritten = (ssize_t) IPC_GET_ARG1(answer);
 	return EOK;
